﻿using System.Diagnostics;
using System.Windows.Input;
using Microsoft.Phone.Controls;

namespace WindowsPhoneManipulationDemo
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();                   
        }

        void rectangle_ManipulationStarted(object sender, ManipulationStartedEventArgs e)
        {
            Debug.WriteLine("Rectangle ManipulationStarted\n");
        }

        void rectangle_ManipulationDelta(object sender, ManipulationDeltaEventArgs e)
        {
            this.translation.X += e.DeltaManipulation.Translation.X;
            this.translation.Y += e.DeltaManipulation.Translation.Y;
            Debug.WriteLine("Rectangle ManipulationDelta");
            Debug.WriteLine("Rectangle Translation X:" + e.DeltaManipulation.Translation.X + " Rectangle Translation Y:" + e.DeltaManipulation.Translation.Y);
            Debug.WriteLine("Rectangle Cumulative X:" + e.CumulativeManipulation.Translation.X + " Rectangle Cumulative  Y:" + e.CumulativeManipulation.Translation.Y);
            Debug.WriteLine("LinearVelocity X:" + e.Velocities.LinearVelocity.X + " LinearVelocity Y:" + e.Velocities.LinearVelocity.Y + " IsInertial:" + e.IsInertial + "\n");
        }

        void rectangle_ManipulationCompleted(object sender, ManipulationCompletedEventArgs e)
        {
            Debug.WriteLine("Rectangle ManipulationCompleted");
            Debug.WriteLine("Rectangle Total Translation X:" + e.TotalManipulation.Translation.X + " Rectangle Total Translation Y:" + e.TotalManipulation.Translation.Y);
            Debug.WriteLine("FinalVelocities X:" + e.FinalVelocities.LinearVelocity.X + " FinalVelocities Y:" + e.FinalVelocities.LinearVelocity.Y + " IsInertial: " + e.IsInertial + "\n");
        }

        //void rectangle_ManipulationStarted(object sender, ManipulationStartedEventArgs e)
        //{
        //    Debug.WriteLine("Rectangle ManipulationStarted");
        //    Debug.WriteLine("OriginalSource: " + (e.OriginalSource as FrameworkElement).Name);
        //    Debug.WriteLine("ManipulationContainer: " + (e.ManipulationContainer as FrameworkElement).Name);
        //    Debug.WriteLine("ManipulationOrigin: " + "X: " + e.ManipulationOrigin.X.ToString() + " Y: " + e.ManipulationOrigin.Y.ToString() + "\n");
        //}

        //void rectangle_ManipulationDelta(object sender, ManipulationDeltaEventArgs e)
        //{
        //    Debug.WriteLine("Rectangle ManipulationDelta");
        //    Debug.WriteLine("OriginalSource: " + (e.OriginalSource as FrameworkElement).Name);
        //    Debug.WriteLine("ManipulationContainer: " + (e.ManipulationContainer as FrameworkElement).Name);
        //    Debug.WriteLine("ManipulationOrigin: " + "X: " + e.ManipulationOrigin.X.ToString() + " Y: " + e.ManipulationOrigin.Y.ToString() + "\n");
        //}

        //void rectangle_ManipulationCompleted(object sender, ManipulationCompletedEventArgs e)
        //{
        //    Debug.WriteLine("Rectangle ManipulationCompleted");
        //    Debug.WriteLine("OriginalSource: " + (e.OriginalSource as FrameworkElement).Name);
        //    Debug.WriteLine("ManipulationContainer: " + (e.ManipulationContainer as FrameworkElement).Name);
        //    Debug.WriteLine("ManipulationOrigin: " + "X: " + e.ManipulationOrigin.X.ToString() + " Y: " + e.ManipulationOrigin.Y.ToString() + "\n");
        //}
    }
}